Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/ns/weblogic/90/domain
complexType unix-machineType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/ns/weblogic/90/domain}configurationType
          {http://www.bea.com/ns/weblogic/90/domain}machineType
              {http://www.bea.com/ns/weblogic/90/domain}unix-machineType

Model
  `<...>
  name?, notes?, address*, node-manager?, post-bind-uid-enabled?, post-bind-uid?, post-bind-gid-enabled?, post-bind-gid?
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: none

Documentation

  This bean represents a machine that is running the UNIX operating system. It extends MachineMBean with properties specific to the UNIX platform.

  MBean: `UnixMachineMBean`

Nested Element Summary
`annonymous type derived from string` | `name` optional
`string` | `notes` optional Optional information that you can include to describe this configuration.
`string` | `address` 0...∞ The addresses by which this machine is known.
`anyType` | `node-manager` optional Returns the NodeManager Mbean that defines the configuration of the Node Manager instance that runs on the machine.
`boolean` | `post-bind-uid-enabled` optional This bean represents a machine that is running the UNIX operating system.
`string` | `post-bind-uid` optional The UNIX user ID (UID) that a server running on this machine will run under after it has carried out all privileged startup actions.
`boolean` | `post-bind-gid-enabled` optional This bean represents a machine that is running the UNIX operating system.
`string` | `post-bind-gid` optional The UNIX group ID (GID) that a server running on this machine will run under after it has carried out all privileged startup actions.

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Domain Configuration Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1